/* =========================================
        Start of service list
======================================== */

.sahadev-services-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 16px;
}

.sahadev-service-card {
    overflow: hidden;
    background: #1d1a18;
    border: 1px solid #3a3532;
    border-radius: 7px;
    transition: all 0.5s;
}

.sahadev-service-card.magic-card.is-visible:hover {
    transform: inherit !important;
}

.sahadev-service-image {
    display: block;
    width: 100%;
    height: 250px;
    object-fit: cover;
    overflow: hidden;
}

.sahadev-service-image img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 0.5s;
}

.sahadev-service-card:hover .sahadev-service-image img {
    transform: scale(1.1) !important;
    transition: 0.5s;
}

.sahadev-service-content {
    padding: 20px;
    position: relative;
    z-index: 2;
}

.sahadev-service-content:before {
    content: '';
    position: absolute;
    top: 0;
    left: 20px;
    width: 40px;
    height: 2px;
    background: linear-gradient(135deg, #f6b828, #ed851d);
    z-index: 5;
}


.sahadev-service-title {
    margin: 4px 0 8px;
    font-family: Cinzel, serif;
    font-size: 18px;
    color: rgba(246, 184, 40, 1);
    font-weight: 600;
    line-height: 28px;
}

.sahadev-service-title a {
    color: #e5a823;
    text-decoration: none;
}

.sahadev-service-description {
    margin-bottom: 12px;
    color: rgba(168, 158, 138, 1);
    font-family: Lora, serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}

.sahadev-service-link {
    color: hsl(30 85% 52%);
    font-family: Lora, serif;
    font-size: 14px;
    font-weight: 600;
    text-decoration: none;
    transition: all 0.5s;
}

.sahadev-service-card:hover .sahadev-service-link {
    color: #f6b828;
    transition: all 0.3s;
}

.sahadev-service-link span {
    margin-left: 2px;
    transition: all 0.3s;
}

.sahadev-service-card:hover .sahadev-service-link span {
    margin-left: 10px;
    transition: all 0.3s;
}

@media (max-width: 991px) {
    .sahadev-services-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .sahadev-service-image {
        height: 220px;
    }
}

@media (max-width: 767px) {
    .sahadev-services-grid {
        grid-template-columns: 1fr;
    }
}


/* =========================================
        End of service list
======================================== */


.single-astrologer_service .site-main {
    margin-right: 0 !important;
}

.single-astrologer_service .site-content .content-area {
    width: 100% !important;
}